class PddGoodsDetail {
    constructor() {
        this.isLoad = false;
    }
    Init() {
        const that = this;
        let loadTimer = window.setTimeout(function () {
            if (!that.isLoad) {
                that.isLoad = true;
                that.InitData();
            }
        }, 5000);
        window.onload = function () {
            window.clearTimeout(loadTimer);
            if (!that.isLoad) {
                that.isLoad = true;
                that.InitData();
            }
        };
    }
    InitData() {
        const that = this;
        ExtensionClient.Instance.SendRequest(ShortMsgProtocol.GetDataOfPddGoodsDetail, null, function (response) {
            switch (response.BusinessType) {
                case 1:
                    that.winId = response.WinId;
                    that.tabId = response.TabId;
                    that.clientId = response.ClientID;
                    that.clientIP = response.ClientIP;
                    that.goodsId = response.GoodsID;
                    that.platId = response.PlatID;
                    that.recordId = response.RecordID;
                    that.outerTaskd = response.OuterTaskID;
                    that.GetPddGoodDetailData();
                    break;
                default:
                    break;
            }
        });
    }
    GetPddGoodDetailData() {
        try {
            let that = this;
            let index = window.document.documentElement.outerHTML.indexOf("window.rawData=");
            let str1 = window.document.documentElement.outerHTML.substring(index + 15);
            let index1 = str1.indexOf("};");
            let datastr = str1.substring(0, index1 + 1);
            let data = JSON.parse(datastr);
            let goodsInfo = data.store.initDataObj.goods;
            let body = new HttpMessage.SendPDDGoodsDetailDataRequet_1202();
            body.ClientID = this.clientId;
            body.ClientIP = this.clientIP;
            body.GoodsID = goodsInfo.goodsID;
            body.GoodsName = data.store.initDataObj.goods.goodsName;
            body.PlatID = 26;
            body.RecordID = this.recordId;
            body.OuterTaskID = this.outerTaskd;
            body.State = 1;
            body.GoodsDetailData = datastr;
            ExtensionClient.Instance.SendRequest(ShortMsgProtocol.SendPddData, body, function (data) {
                let request1 = new ExtensionShortMessage.CloseWindowRequest();
                request1.WinId = that.winId;
                ExtensionClient.Instance.SendRequest(ShortMsgProtocol.CloseWindow, request1, function () { });
            });
            console.log("商品ID（goodsID）：" + goodsInfo.goodsID);
            console.log("类目ID（catID）：" + goodsInfo.catID);
            console.log("品牌ID（brandId）：" + goodsInfo.brandId);
            console.log("商品名称（goodsName）：" + goodsInfo.goodsName);
            console.log("分享描述（shareDesc）：" + goodsInfo.shareDesc);
            console.log("店铺ID（mallID）：" + goodsInfo.mallID);
            console.log("商品规格（skus）：" + JSON.stringify(goodsInfo.skus));
            console.log("商品图片（topGallery）：" + JSON.stringify(goodsInfo.topGallery));
        }
        catch (e) {
            window.location.reload();
        }
    }
}
if (typeof (_PddGoodsDetail) == "undefined") {
    _PddGoodsDetail = true;
    console.log("PddGoodsDetail - begin");
    new PddGoodsDetail().Init();
}
